### Method

# Fwupd Device set_parent_id

since: 1.0.8

#### Declaration [src]

    void
    fwupd_device_set_parent_id (
      FwupdDevice* self,
      const gchar* parent_id
    )

#### Description [src]

Sets the parent ID.

Available since: 1.0.8

#### Parameters

`parent_id`

  Type: `const gchar*`

  The device ID, usually a SHA1 hash.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.